Debian Bug report logs - #436557
segfault reading skins

version graph

Package: audacious; Maintainer for audacious is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>; Source for audacious is src:audacious.

Reported by: Julien Danjou <acid@debian.org>

Date: Wed, 8 Aug 2007 08:24:04 UTC

Severity: important

Tags: fixed-upstream, upstream

Found in version audacious/1.3.2-4

Done: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#436557; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
New Bug report received and forwarded. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: segfault reading skins
Date: Wed, 08 Aug 2007 10:22:25 +0200
Package: audacious
Version: 1.3.2-4
Severity: grave

Hi,

Currently I can't run audacious. It seems to segfault reading the .svn
dirs in my Skins dir...

Program received signal SIGSEGV, Segmentation fault.

(gdb) bt
#0  0x0809e5e9 in skin_load_color (inifile=<value optimized out>,
section=<value optimized out>, 
    key=<value optimized out>, default_hex=0x80f786f "#2499ff") at
skin.c:1198
#1  0x080a083e in skin_load_pixmaps (skin=0x82e2400, path=<value
optimized out>) at skin.c:1412
#2  0x080a0b99 in skin_load_nolock (skin=0x82e2400, 
    path=0x8197880 "/home/jdanjou/.local/share/audacious/Skins/.svn",
force=0) at skin.c:1460
#3  0x080a0cf2 in skin_load (skin=0x82e2400, path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn")
    at skin.c:1511
#4  0x080a0d75 in bmp_active_skin_load (path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn")
    at skin.c:162
#5  0x080a0eec in init_skins (path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn") at skin.c:511
#6  0x08065c83 in main (argc=1, argv=0xbfc36fa4) at main.c:1142
(gdb) bt full
#0  0x0809e5e9 in skin_load_color (inifile=<value optimized out>,
section=<value optimized out>, 
    key=<value optimized out>, default_hex=0x80f786f "#2499ff") at
skin.c:1198
    ptr = (gchar *) 0x82e133d "ff"
    len = <value optimized out>
    value = (gchar *) 0x82e1338 "#2499ff"
    color = (GdkColor *) 0x829c238
#1  0x080a083e in skin_load_pixmaps (skin=0x82e2400, path=<value
optimized out>) at skin.c:1412
          text_pm = <value optimized out>
          i = 14
          filename = (gchar *) 0x0
          inifile = (INIFile *) 0x0
#2  0x080a0b99 in skin_load_nolock (skin=0x82e2400, 
    path=0x8197880 "/home/jdanjou/.local/share/audacious/Skins/.svn",
force=0) at skin.c:1460
         cpath = <value optimized out>
         __PRETTY_FUNCTION__ = "skin_load_nolock"
#3  0x080a0cf2 in skin_load (skin=0x82e2400, path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn")
    at skin.c:1511
    error = 0
    __PRETTY_FUNCTION__ = "skin_load"
#4  0x080a0d75 in bmp_active_skin_load (path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn")
    at skin.c:162
    __PRETTY_FUNCTION__ = "bmp_active_skin_load"
#5  0x080a0eec in init_skins (path=0x8197880
"/home/jdanjou/.local/share/audacious/Skins/.svn") at skin.c:511
No locals.
#6  0x08065c83 in main (argc=1, argv=0xbfc36fa4) at main.c:1142
    gtk_init_check_ok = <value optimized out>
    playlist = <value optimized out>
    context = <value optimized out>
    error = (GError *) 0x0



-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-1-k7 (SMP w/1 CPU core)
Locale: LANG=C, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages audacious depends on:
ii  audacious-plugins          1.3.5-3       Base plugins for audacious
ii  libatk1.0-0                1.18.0-2      The ATK accessibility toolkit
ii  libaudacious5              1.3.2-4       Audacious C++ shared library
ii  libc6                      2.6-5         GNU C Library: Shared libraries
ii  libcairo2                  1.4.10-1      The Cairo 2D vector graphics libra
ii  libfontconfig1             2.4.2-1.2     generic font configuration library
ii  libgcc1                    1:4.2.1-1     GCC support library
ii  libglade2-0                1:2.6.2-1     library to load .glade files at ru
ii  libglib2.0-0               2.12.13-1     The GLib library of C routines
ii  libgtk2.0-0                2.10.13-1     The GTK+ graphical user interface 
ii  libpango1.0-0              1.16.5-1      Layout and rendering of internatio
ii  libstdc++6                 4.2.1-1       The GNU Standard C++ Library v3
ii  libx11-6                   2:1.0.3-7     X11 client-side library
ii  libxcursor1                1:1.1.8-2     X cursor management library
ii  libxext6                   1:1.0.3-2     X11 miscellaneous extension librar
ii  libxfixes3                 1:4.0.3-2     X11 miscellaneous 'fixes' extensio
ii  libxi6                     2:1.1.2-1     X11 Input extension library
ii  libxinerama1               1:1.0.2-1     X11 Xinerama extension library
ii  libxml2                    2.6.29.dfsg-1 GNOME XML library
ii  libxrandr2                 2:1.2.1-1     X11 RandR extension library
ii  libxrender1                1:0.9.2-1     X Rendering Extension client libra

Versions of packages audacious recommends:
ii  audacious-plugins-extra       1.3.5-3    Various extra plugins for audaciou
ii  unzip                         5.52-10    De-archiver for .zip files

-- no debconf information



Severity set to `important' from `grave' Request was from Adam Cécile <adam.cecile@linbox.com> to control@bugs.debian.org. (Fri, 10 Aug 2007 13:24:02 GMT) Full text and rfc822 format available.

Tags added: upstream, fixed-upstream, pending Request was from Adam Cécile <adam.cecile@linbox.com> to control@bugs.debian.org. (Fri, 10 Aug 2007 13:24:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#436557; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #14 received at 436557@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 436557@bugs.debian.org
Cc: acid@debian.org
Subject: #436557: audacious: segfault reading skins
Date: Tue, 13 Nov 2007 10:11:37 +0100
Hello Julien,

Could you please confirm this issue has gone with 1.4beta (currently in 
sid).

Thanks in advance,

Best regards, Adam.




Information forwarded to debian-bugs-dist@lists.debian.org, Adam Cécile (Le_Vert) <gandalf@le-vert.net>:
Bug#436557; Package audacious. Full text and rfc822 format available.

Acknowledgement sent to Julien Danjou <acid@debian.org>:
Extra info received and forwarded to list. Copy sent to Adam Cécile (Le_Vert) <gandalf@le-vert.net>. Full text and rfc822 format available.

Message #19 received at 436557@bugs.debian.org (full text, mbox):

From: Julien Danjou <acid@debian.org>
To: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
Cc: 436557@bugs.debian.org
Subject: Re: #436557: audacious: segfault reading skins
Date: Tue, 13 Nov 2007 16:20:09 +0100
[Message part 1 (text/plain, inline)]
Hi Adam,

At 1194945097 time_t, "Adam Cécile (Le_Vert)" wrote:
> Could you please confirm this issue has gone with 1.4beta (currently in 
> sid).

Cannot reproduce it. You may want to close this.

Cheers,
-- 
Julien Danjou
.''`.  Debian Developer
: :' : http://julien.danjou.info
`. `'  http://people.debian.org/~acid
  `-   9A0D 5FD9 EB42 22F6 8974  C95C A462 B51E C2FE E5CD
[signature.asc (application/pgp-signature, inline)]

Reply sent to "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Julien Danjou <acid@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 436557-done@bugs.debian.org (full text, mbox):

From: "Adam Cécile (Le_Vert)" <gandalf@le-vert.net>
To: 436557-done@bugs.debian.org
Subject: Fixed
Date: Tue, 13 Nov 2007 17:00:54 +0100
Julien reported it's not reproductible anymore. Same here. Upstream 
tells it's fixed and it really seems to be :-)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 12 Dec 2007 07:26:55 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 13:48:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.